Ratings
Create a rating result for a specific conversation.
ApiKeyAuth conversation.satisfactionAuthorization<token>Scope: conversation.satisfaction
conversationId*integerint64ratingId*stringThe ratingId parameter has to be the ID of the offer created via invoking the /conversations/{conversationId}/ratings/offer endpoint.
The rating result to be created for a conversation
application/json- body
userId?stringDeprecatedThe userId property is no longer used so it's made optional to keep backwards compatibility. A null value can be provided instead of an actual ID.
ratingResult*||comment?stringsubmittedAt?stringdate-timeThe created conversation rating result
application/json- response
data*curl -X POST 'https://dev.dixa.io/v1/conversations/{conversationId}/ratings/{ratingId}/submit' \ -H 'Authorization: <API token>' \ -H 'Content-Type: application/json' \ -d '{ "userId": "d3cf6f15-1497-4e71-92f2-9b3b228352bd", "ratingResult": { "value": 4, "_type": "Csat" }, "comment": "Best customer service ever!", "submittedAt": "2024-03-11T16:39:30Z"}'Create a rating offer for a specific conversation.
ApiKeyAuth conversation.satisfactionAuthorization<token>Scope: conversation.satisfaction
conversationId*integerint64The rating offer to be created for a conversation
application/json- body
userId*stringagentId*stringPlease note that providing agentId that is not part of the conversation may skew metrics in Intelligence
ratingType*stringThe type of numeric rating. E.g.: 'Csat', 'ThumbsUpOrDown', 'Nps'.
offeredAt?stringdate-timeThe created conversation rating offer
application/json- response
data*curl -X POST 'https://dev.dixa.io/v1/conversations/{conversationId}/ratings/offer' \ -H 'Authorization: <API token>' \ -H 'Content-Type: application/json' \ -d '{ "userId": "b0323b42-c428-4afa-970e-20bf5bdeeec4", "agentId": "eeb3bbe5-0355-4ac1-8af5-20d42a3db24b", "ratingType": "Csat", "offeredAt": "2024-03-11T16:39:30Z"}'List rating
DeprecatedDeprecated rating endpoint. Use '/ratings'.
ApiKeyAuthAuthorization<token>conversationId*integerint64List of ratings for a conversation
application/json- response
data?array<>curl -X GET 'https://dev.dixa.io/v1/conversations/{conversationId}/rating' \ -H 'Authorization: <API token>'Lists latest ratings statuses for a particular conversation by providing the conversation ID. For surveys with multiple questions, rating status will be reported for each individual question of the survey. For example, a response for a 3 question survey that was answered will be 3 elements with status "Rated". Additionally, a multiple question survey can be partially answered, therefore a response of such case will be a mix of "Offered" and "Rated" statuses. Note that the IDs of multiple questions response elements will be the same, because they are part of the same survey.
ApiKeyAuthAuthorization<token>conversationId*integerint64List of ratings for a conversation
application/json- response
data?array<>curl -X GET 'https://dev.dixa.io/v1/conversations/{conversationId}/ratings' \ -H 'Authorization: <API token>'